Bug 27162 - update-webkit should call git svn rebase and resolve-ChangeLogs -f
Summary: update-webkit should call git svn rebase and resolve-ChangeLogs -f
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Tools / Tests (show other bugs)
Version: 528+ (Nightly build)
Hardware: PC OS X 10.5
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks: 27355 32181
  Show dependency treegraph
 
Reported: 2009-07-10 16:24 PDT by Eric Seidel (no email)
Modified: 2009-12-05 13:54 PST (History)
6 users (show)

See Also:


Attachments
Patch (1.91 KB, patch)
2009-12-04 18:54 PST, Adam Barth
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Eric Seidel (no email) 2009-07-10 16:24:43 PDT
update-webkit should call git svn rebase and resolve-ChangeLogs -f

I just learned this from mitz:
"if you use WebKitTools/Scripts/update-webkit instead of just “svn up”, it will do it for you."

So cool!  And such a great idea.  git should have the same magic. :)
Comment 1 Adam Barth 2009-12-04 18:54:09 PST
Created attachment 44342 [details]
Patch
Comment 2 WebKit Review Bot 2009-12-04 18:55:01 PST
style-queue ran check-webkit-style on attachment 44342 [details] without any errors.
Comment 3 Eric Seidel (no email) 2009-12-05 13:21:14 PST
I think this makes about as much sense as we can for git for the moment.
Comment 4 Adam Barth 2009-12-05 13:54:14 PST
Comment on attachment 44342 [details]
Patch

Clearing flags on attachment: 44342

Committed r51728: <http://trac.webkit.org/changeset/51728>
Comment 5 Adam Barth 2009-12-05 13:54:19 PST
All reviewed patches have been landed.  Closing bug.